Download it now!
Bug 120711 - FILEOPEN: tracking changes: Paragraph after numbering list is added to the list
Summary: FILEOPEN: tracking changes: Paragraph after numbering list is added to the list
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-10-19 15:18 UTC by Xisco Faulí
Modified: 2019-04-08 13:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (32.00 KB, application/msword)
2018-10-19 15:18 UTC, Xisco Faulí
Details
Comparison LibreOffice 6.2 Master and MSO 2010 (186.15 KB, image/png)
2018-10-19 15:20 UTC, Xisco Faulí
Details
another file affected by the same problem (39.00 KB, application/msword)
2018-10-19 15:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-19 15:18:09 UTC
Created attachment 145834 [details]
sample file

Steps to reproduce:
1. Open attached document

-> Observed behaviour: The paragraph after the numbering list is also part of the list. See image for comparison

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 5fb66ae5595b7435e8954df31473fad15a74b8c2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-10-19 15:19:16 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1bbbe57dfc0b43d6b5444798d77dcdf5e4e76e49

author	László Németh <nemeth@numbertext.org>	2018-08-28 21:13:09 +0200
committer	László Németh <nemeth@numbertext.org>	2018-09-05 07:48:59 +0200
commit	1bbbe57dfc0b43d6b5444798d77dcdf5e4e76e49 (patch)
tree	52b256c96845b7082d916c255cbaa77594da4aa2
parent	22639148ae5400bac98f32a75d7431b857c80195 (diff)
tdf#119571 change tracking: show layout changes at paragraph join

Bisected with: bibisect-linux64-6.2

Adding Cc: to László Németh
Comment 2 Xisco Faulí 2018-10-19 15:20:18 UTC
Created attachment 145835 [details]
Comparison LibreOffice 6.2 Master and MSO 2010
Comment 3 Xisco Faulí 2018-10-19 15:31:58 UTC
Created attachment 145836 [details]
another file affected by the same problem
Comment 4 Commit Notification 2018-11-21 09:30:07 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/836cbf3680afd9198abf3a64be698f8fe256dd5a%5E%21

tdf#120711 fix paragraph join with change tracking

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-11-21 11:53:36 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/173069a1f6ac060a06f04908a94a1a8420461795%5E%21

tdf#120711 fix paragraph join with change tracking

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-11-22 10:41:18 UTC
Verified in

Version: 6.2.0.0.beta1+
Build ID: a5bb6a0406d0018d1df279b925c80b392d9db277
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@László Németh, thanks for fixing this!!